Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2208126 - CVE-2023-32570 dav1d: a thread_task.c race condition that can lead to an application crash [epel-all]
Summary: CVE-2023-32570 dav1d: a thread_task.c race condition that can lead to an appl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: dav1d
Version: epel8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-32570
TreeView+ depends on / blocked
 
Reported: 2023-05-18 04:03 UTC by Sandipan Roy
Modified: 2023-07-08 01:14 UTC (History)
3 users (show)

Fixed In Version: dav1d-1.2.1-1.fc38 dav1d-1.2.1-1.el9 dav1d-1.2.1-1.fc37
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-06-24 01:21:26 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Sandipan Roy 2023-05-18 04:03:36 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2208124

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Sandipan Roy 2023-05-18 04:03:39 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2208124,2208126

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Admin user for bugzilla script actions 2023-06-11 00:06:51 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 3 Fedora Admin user for bugzilla script actions 2023-06-12 00:06:41 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 4 Fedora Update System 2023-06-22 17:59:17 UTC
FEDORA-2023-9ea5d6e289 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-9ea5d6e289

Comment 5 Fedora Update System 2023-06-22 17:59:20 UTC
FEDORA-2023-652b6e8847 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-652b6e8847

Comment 6 Fedora Update System 2023-06-22 17:59:23 UTC
FEDORA-EPEL-2023-b19b890d2f has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-b19b890d2f

Comment 7 Fedora Update System 2023-06-23 01:11:52 UTC
FEDORA-EPEL-2023-b19b890d2f has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-b19b890d2f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-06-23 01:51:31 UTC
FEDORA-2023-9ea5d6e289 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-9ea5d6e289`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-9ea5d6e289

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-06-23 01:52:03 UTC
FEDORA-2023-652b6e8847 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-652b6e8847`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-652b6e8847

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-06-24 01:21:26 UTC
FEDORA-2023-9ea5d6e289 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2023-07-01 00:33:10 UTC
FEDORA-EPEL-2023-b19b890d2f has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2023-07-08 01:14:38 UTC
FEDORA-2023-652b6e8847 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.